> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all OAuth Applications

GET https://api.contentful.com/users/{user_id}/oauth_applications

This endpoint retrieves a list of OAuth applications associated with the current user.

Reference: https://contentful.com/developers/docs/references/content-management-api/oauth-applications/get-all-o-auth-applications

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `user_id` (string, required) — ID of the user in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "clientId": "pCEicdinud1qEh9qXwIsbdjYEwHnPdbtbJ2iBfusghdj",
      "clientSecret": "JdGHtinud1qEh9qXwIOzjYEwHnPdbtbJ2iBfaj9hs",
      "confidential": true,
      "description": "My OAuth Application Description",
      "name": "My OAuth Application",
      "redirectUri": "https://redirect.uri.com",
      "scopes": [
        "content_management_manage"
      ],
      "sys": {
        "createdAt": "2025-01-10T11:29:46.809Z",
        "id": "exampleOAuthApplicationId",
        "lastUsedAt": null,
        "type": "Application",
        "updatedAt": "2025-01-10T11:29:46.809Z",
        "version": 0
      }
    }
  ],
  "limit": "10",
  "pages": {
    "next": "'/users/user_67890/oauth_applications?pageNext=w4pQw5HDhcKGdzHDuW8fwo7CuGHCmGvDpQ...'",
    "prev": "'/users/user_67890/oauth_applications?pagePrev=w6HChSTDomcDw7TCkDjCr8OLWULCrz3ClA...'"
  },
  "sys": {
    "type": "Array"
  },
  "total": "2"
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getOAuthApplications({userId: '<user_id>'})
.then((oauthApplications) => console.log(oauthApplications))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = createClient({
  accessToken: '<content_management_api_key>'
})

const oauthApplications = await client.oauthApplication.getManyForUser({userId: '<user_id>'})
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```